SDL_IOFromMem(3)

NAME
SDL_IOFromMem - Use this function to prepare a read-write memory buffer for use with SDL_IOStream .

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_IOStream * SDL_IOFromMem(void *mem, size_t size);

DESCRIPTION
This function sets up an SDL_IOStream
 struct based on a memory area of a certain size, for both read and write access.

This memory buffer is not copied by the SDL_IOStream ; the pointer you provide must remain valid until you close the stream. Closing the stream will not free the original buffer.

If you need to make sure the SDL_IOStream
 never writes to the memory buffer, you should use

SDL_IOFromConstMem () with a read-only buffer of memory instead.

The following properties will be set at creation time by SDL:

• SDL_PROP_IOSTREAM_MEMORY_POINTER :
  this will be the mem parameter that was passed to this function.

• SDL_PROP_IOSTREAM_MEMORY_SIZE_NUMBER :
  this will be the size parameter that was passed to this function.

FUNCTION PARAMETERS

mem a pointer to a buffer to feed an SDL_IOStream
     stream.

size
    the buffer size, in bytes.

RETURN VALUE
( SDL_IOStream
 *) Returns a pointer to a new

SDL_IOStream
 structure or NULL on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_IOFromConstMem(3), •(3), SDL_CloseIO(3), •(3), SDL_FlushIO(3), •(3), SDL_ReadIO(3), •(3), SDL_SeekIO(3), •(3), SDL_TellIO(3), •(3), SDL_WriteIO(3)